#
# spec file for package system-role-text-mode
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


######################################################################
#
# IMPORTANT: Please do not change the control file or this spec file
#   in build service directly, use
#   https://github.com/yast/system-role-text-mode repository
#
#   See https://github.com/yast/skelcd-control-server-role/blob/master/CONTRIBUTING.md
#   for more details.
#
######################################################################

%define role_name text-mode
Name:           system-role-%{role_name}
# xmllint (for validation)
BuildRequires:  libxml2-tools
# RNG validation schema
BuildRequires:  yast2-installation-control >= 4.0.4

Url:            https://github.com/yast/system-role-text-mode
AutoReqProv:    off
Version:        15.2.0
Release:        1.32
Summary:        Text Mode role definition
License:        MIT
Group:          Metapackages
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         %{name}-%{version}.tar.bz2
Provides:       extension_for_product() = SLES
Provides:       extension_for_product() = SLES_BCL
Provides:       extension_for_product() = SLES_SAP
Provides:       extension_for_product() = SLE_HPC
Provides:       installer_module_extension() = system-role-text-mode

%description
Meta package for Server in Text Mode role definition.
It is not intended for installation.

%prep

%setup -n %{name}-%{version}

%check
#
# Verify syntax
#
make -C control check

%install

mkdir -p $RPM_BUILD_ROOT
#
# Add control file
#
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/system-roles
install -m 644 control/installation.xml $RPM_BUILD_ROOT/%{_datadir}/system-roles/%{role_name}.xml

# install LICENSE (required by build service check)
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/share/doc/packages/%{name}
install -m 644 LICENSE $RPM_BUILD_ROOT/%{_prefix}/share/doc/packages/%{name}

%files
%defattr(644,root,root,755)
%{_datadir}/system-roles
%doc %dir %{_prefix}/share/doc/packages/%{name}
%doc %{_prefix}/share/doc/packages/%{name}/LICENSE

%changelog
* Wed Nov 27 2019 dgonzalez@suse.com
- Update the role description (bsc#1157329)
- 15.2.0
* Wed Mar 13 2019 jreidinger@suse.com
- enable role for SLES BCL (bsc#1128898)
- 15.1.4
* Fri Jan 11 2019 jcheung@suse.com
- Remove this system role from SLERT because it will be defined in
  a new system-role-real-time-text-mode package instead
  (bsc#1117734)
-15.1.3
* Thu Nov 29 2018 jcheung@suse.com
- Add Text Mode system role to SLERT (bsc#1117734)
- 15.1.2
* Mon Nov 12 2018 mvidner@suse.com
- Correct the file name to make system roles reappear (bsc#1115607)
- 15.1.1
* Tue Nov  6 2018 jreidinger@suse.com
- use FHS compliant path (bsc#1108176)
- 15.1.0
* Tue Sep 25 2018 dgonzalez@suse.com
- Delete partitioning information from description (fate#324713)
- 15.0.7
* Wed May 30 2018 jsrain@suse.cz
- rename SLES_HPC -> SLE_HPC (bsc#1095053)
- 15.0.6
* Tue Dec 19 2017 gsouza@suse.com
- Corrected SLES4SAP and SLES4HPC extension_for_product entry
  (bsc#1072592)
- 15.0.5
* Mon Dec  4 2017 gsouza@suse.com
- Filter SLES roles so that they are not shown with SLED
  (fate#324198)
- 15.0.4
* Wed Oct 25 2017 jsrain@suse.cz
- fixed default target definition (bsc#1064876)
- 15.0.3
* Fri Oct 20 2017 jsrain@suse.cz
- adjusted pattern list (bsc#1064277)
- 15.0.2
* Mon Oct 16 2017 jreidinger@suse.com
- re-enable globals to redefine default systemd target to
  multi-user (bsc#1063216)
- 15.0.1
* Fri Sep 29 2017 knut.anderssen@suse.com
- Initial package (needed for having roles in their own package for
  different modules) bsc#1049297.
- 15.0.0
